LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
TransitionFactory Service Reference

`import"TransitionFactory.idl";`

Inheritance diagram for TransitionFactory:

## Additional Inherited Members
Public Member Functions inherited from XTransitionFactory
boolean | hasTransition ([in] short transitionType, [in] short transitionSubType)
| Checks whether this instance provides an implementation for given transition id. More...
XTransition | createTransition ([in] short transitionType, [in] short transitionSubType, [in] long transitionFadeColor, [in] XSlideShowView view, [in] com::sun::star::rendering::XBitmap leavingBitmap, [in] com::sun::star::rendering::XBitmap enteringBitmap)
| Actually create a transition for the given transition id. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

The documentation for this service was generated from the following file:

- com/sun/star/presentation/TransitionFactory.idl